summaryrefslogtreecommitdiff
path: root/mkdocu.sh
diff options
context:
space:
mode:
authorKevin Chabowski <kevin@kch42.de>2013-10-25 22:26:24 +0200
committerKevin Chabowski <kevin@kch42.de>2013-10-25 22:26:24 +0200
commitf18ecd10c746641a9f46392f24d8d87ed60d2de6 (patch)
tree9146807681b97c508cbe8ba69922b1c5444192b5 /mkdocu.sh
parentdd03af69265ad686ae8daff6ecbd9df763e6d19f (diff)
downloadste-f18ecd10c746641a9f46392f24d8d87ed60d2de6.tar.gz
ste-f18ecd10c746641a9f46392f24d8d87ed60d2de6.tar.bz2
ste-f18ecd10c746641a9f46392f24d8d87ed60d2de6.zip
Removed source code documentation. Can be generated at any point.
Diffstat (limited to 'mkdocu.sh')
-rwxr-xr-xmkdocu.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/mkdocu.sh b/mkdocu.sh
index bc38261..fb94c95 100755
--- a/mkdocu.sh
+++ b/mkdocu.sh
@@ -1,12 +1,12 @@
-#!/usr/bin/env bash
+#!/bin/sh
-if ! ndpath=$(which NaturalDocs 2>/dev/null); then
-if ! ndpath=$(which naturaldocs 2>/dev/null); then
+if ! ndpath=`which NaturalDocs 2>/dev/null`; then
+if ! ndpath=`which naturaldocs 2>/dev/null`; then
echo "NaturalDocs could not be found!" >/dev/stderr
exit 1
fi; fi
-if [ ! -d docu/nd ]; then mkdir docu/nd; fi
-if [ ! -d docu/nd_project_dir ]; then mkdir docu/nd_project_dir; fi
+test -d docu/nd || mkdir docu/nd
+test -d docu/nd_project_dir || mkdir docu/nd_project_dir
$ndpath -i . -o html docu/nd -p docu/nd_project_dir